package ocelot.desktop.node.nodes

import ocelot.desktop.node.{EntityNode, LabeledEntityNode, WindowedNode}
import ocelot.desktop.windows.HologramProjectorWindow
import totoro.ocelot.brain.entity.HologramProjector

class HologramProjectorNode(val hologramProjector: HologramProjector)
  extends EntityNode(hologramProjector)
  with LabeledEntityNode
  with WindowedNode[HologramProjectorWindow]
{
  override def icon: String = s"nodes/HologramProjector${hologramProjector.tier.id}"

  override def createWindow(): HologramProjectorWindow = new HologramProjectorWindow(this)

  override def dispose(): Unit = {
    super.dispose()

    closeAndDisposeWindowIfCreated()
  }
}